package cn.iocoder.yudao.module.ocr.framework.ocr.core.client;

/**
 * OCR 客户端工厂接口
 */
public interface OcrClientFactory {

    /**
     * 获取默认的 OCR 客户端
     */
    OcrClient getDefaultClient();

    /**
     * 根据厂商获取 OCR 客户端
     *
     * @param provider 厂商编码
     */
    OcrClient getClient(String provider);

}
